<?php
include('../conexiones/conex.php');
include('../includes/validador.php');
include('../includes/funciones.php');


$idalum = $_POST['idps'];
$periodo = $_POST['id'];

$sqlMat ="SELECT * FROM matricula MT INNER JOIN curso CS ON CS.Curso_id = MT.Curso_id WHERE MT.AhoLectivo = '$periodo' AND MT.Persona_id = '$idalum'";
$queryMat = mysqli_query($con, $sqlMat);
$fetchMat = mysqli_fetch_assoc($queryMat);
if(mysqli_num_rows($queryMat) > 0){
	$idMat = $fetchMat['Matricula_id'];
}else{
	$idMat = 0;
}

$sqlCuota = "SELECT matricula_INT, monto_matricula, SUM(monto_abonado) AS totalPG, fecha_registro FROM pagos_matriculas WHERE matricula_INT = '$idMat'";
$queryCuota = mysqli_query($con, $sqlCuota);
$fetchCuota = mysqli_fetch_assoc($queryCuota);

//SI YA EXISTE UN PAGO POR LA MATRICULA
if($fetchCuota['matricula_INT'] == NULL){
	
	$datos = array(
		0 => "", //monto de la cuota
		1 => "", // diferencia, faltante por pagar
		2 => 'nuevo',
		3 => '',
		4 => '',
		5 => '',
		6 => '',
		7 => ''
		);
	echo json_encode($datos);
	$con->close();
}else{

    
    $cuota = $fetchCuota['monto_matricula'];        
    $totalPagadoAct = $fetchCuota['totalPG'];   //MONTO ABONADO EN TOTAL POR LA CUOTA
    $difPagar = $cuota - $totalPagadoAct;       //DIFERENCIA FALTANTE POR PAGAR POR LA CUOTA
	
		if($difPagar > 0){ //si la diferencia a pagar es mayor a cero
			$datos = array(
				0 => 'Gs. '.number_format($cuota, 0, ',', "."), //monto de la cuota
				1 => 'Gs. '.number_format($difPagar, 0, ',', "."), // diferencia, faltante por pagar
				2 => 'consaldo',
				3 => $fetchCuota['monto_matricula'],
				4 => $fetchMat['Curso_id'],
				5 => $fetchMat['Turno'],
				6 => $fetchMat['Obs_Matricula'],
				7 => fechaPicker($fetchCuota['fecha_registro']),				
				8 => $fetchMat['Matricula_id'],
				);
		}else{				//si tiene todo pagado
			$datos = array(
				0 => 'Gs. '.number_format($cuota, 0, ',', "."), //monto de la cuota
				1 => 'Gs. '.number_format($difPagar, 0, ',', "."), // diferencia, faltante por pagar
				2 => 'cancelado',
				3 => $fetchCuota['monto_matricula'],
				4 => $fetchMat['Curso_id'],
				5 => $fetchMat['Turno'],
				6 => $fetchMat['Obs_Matricula'],
				7 => fechaPicker($fetchCuota['fecha_registro']),				
				8 => $fetchMat['Matricula_id'],

				);
		}
		echo json_encode($datos);
		$con->close();
}
?>